      IMPLICIT REAL*8(A-H,O-X,Z),LOGICAL*1 (Y)
      parameter(maxsym=8)
      parameter(maxorbcas=16)
c     attention : voir subroutine cd15s avant d'enlever ou d'ajouter des
c     valeurs dans le common
      common/cdmrs/
     *nt10,np10
     *,it10(2),ip10(2)
     *,ist10,isp10
     *,mint1,maxt1,minp1,maxp1
     *,nc1
     *,mixtpmrs1,nim1
     *,iocc1(maxorbcas)
     *,nt20,np20
     *,it20(2),ip20(2)
     *,ist20,isp20
     *,mint2,maxt2,minp2,maxp2
     *,nc2
     *,mixtpmrs2,nim2
     *,iocc2(maxorbcas)
     *,nt1,np1,nt2,np2,nc10,nc20,ic10(2),ic20(2)
     *,iocc10(maxorbcas),iocc20(maxorbcas),ivarc1(maxorbcas)
     *,ivarc2(maxorbcas)
     *,kfixc1,ifixc1(4),kfixc2,ifixc2(4)
     *,ist2,isc2,isp2
     *,ist1,isc1,isp1
     *,isolc1
     *,isolc2
     *,ifix1(4,2,2)
     *,ifix2(4,2,2)
     *,ivar1(maxorbcas+4,2,2)
     *,ivar2(maxorbcas+4,2,2)
     *,isolt1,isolp1,isolt2,isolp2
     *,ilibref(maxorbcas),ilibreo(maxorbcas)
     *,ispinalt
     *,iplt10(4),iplt20(4),iplp10(4),iplp20(4),nta,npa
     *,iocca(maxorbcas),ispinalttp
     *,napret1,napret2,naprep1,naprep2
     *,iapret1,iapret2,iaprep1,iaprep2
     *,iclssm1,iclssm2,iint(maxorb),nbadrp,nbadrt,nbadrsp
     *,nbadrt1,nbadrt2,nbadrp1,nbadrp2
     *,mh1,mh2,mt1,mt2
     *,kvarc,kvar,nbt1,kt1(5),iech,ninac2
     *,yspinalttp(maxorb),yspinalt(maxorbcas)
      dimension iequiv1(15)
      dimension iequiv2(15)
      equivalence(nt10,iequiv1(1))
      equivalence(nt20,iequiv2(1))
      common/sy2/nts(maxsym),ncs(maxsym),nps(maxsym)
     *,norbs(maxsym)
      common /prep2s/ icatts(maxsym,maxsym),icatps(maxsym,maxsym)
      common /orb/ enuc,eref,norb,noca,nocb
     *,iorb(2*maxorb),ninac,nvirt,noca0
      common/niis/niips(0:2,0:2,maxsym),niits(0:2,maxsym)
      common /combs/  C(0:maxorbcas+4,-1:maxorbcas+4)
      common/adrmrs/clss(15,18,17,0:maxorbcas)
     *,clssm(15,18,17,0:maxorbcas)
      integer c,ces,clss,clssm
      common /adrcs/ ces(0:maxorbcas,0:maxorbcas),idimcs
      common/sy3/itorbi(maxorb),isbrot(maxorb),itorbc(maxorb)
     *,itorbs(maxorb)
      common /prep2/ icatt(2,maxsym,maxsym,-1:1),
     *icatp(2,maxsym,maxsym,-1:1)
     *,itorb(maxorb*2),icatc(maxsym,maxsym,0:maxorbcas,0:maxorbcas)
      common /cs/ noac,nelac,numac(maxorbcas),itype(maxorb),is0,ms2
      common/sym/itsym(2*maxorb),its(maxsym,maxsym),nsym


      common/scmr/yscmrs
      common/test/itest(100)

      common/g2/lg2,ig2,lg2p,ig2p,lg2m,ig2m,ng2,yg2,yga2
